Bug 249291 - graphics/libheif: update to 1.8.0
Summary: graphics/libheif: update to 1.8.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL: https://github.com/strukturag/libheif...
Keywords: buildisok, patch
Depends on:
Blocks:
 
Reported: 2020-09-13 16:21 UTC by Jan Beich
Modified: 2021-02-01 16:31 UTC (History)
5 users (show)

See Also:
bugzilla: maintainer-feedback? (freebsd)


Attachments
v1 (3.59 KB, patch)
2020-09-13 16:21 UTC, Jan Beich
no flags Details | Diff
1.9.1 (4.89 KB, patch)
2020-11-29 04:48 UTC, Charlie Li
ml+freebsd: maintainer-approval? (freebsd)
Details | Diff
Update pkg-descr (885 bytes, patch)
2021-01-28 10:00 UTC, VVD
no flags Details | Diff
Add options DAV1D, RAV1E and update pkg-descr (2.77 KB, patch)
2021-01-28 12:14 UTC, VVD
vvd: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2020-09-13 16:21:17 UTC
Created attachment 217931 [details]
v1

Disclaimer: Only interested in exposing AVIF. I don't use this port and didn't test runtime.

See URL field for upstream changes. Builds fine on 11.3 amd64/i386, 12.1 aarch64/amd64/armv7/armv6/i386, 13.0 amd64/i386. Default consumers also build fine.
Comment 1 Automation User 2020-09-13 16:42:39 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/189356581
Comment 2 daniel.engberg.lists 2020-09-13 20:07:47 UTC
Hi,

As there a reason why we can't use upstream release archive/tarball? (also suggested by 5.4.3 in Porter's Handbook)

https://github.com/strukturag/libheif/releases --> https://github.com/strukturag/libheif/releases/download/v1.8.0/libheif-1.8.0.tar.gz

Best regards,
Daniel
Comment 3 Jan Beich freebsd_committer 2020-09-13 20:14:30 UTC
I'm keeping statu quo to avoid investing more time due to scope creep.
Comment 4 Yuri Victorovich freebsd_committer 2020-09-18 21:11:52 UTC
Reporter is committer, assigning to him.
Comment 5 Charlie Li 2020-11-29 00:51:43 UTC
We're up to 1.9.1 now.
Comment 6 Charlie Li 2020-11-29 04:48:25 UTC
Created attachment 220054 [details]
1.9.1

Based off jbeich@'s 1.8.0. Cleaned up tabbing and options and pull in an upstream patch to fix build when EXAMPLES enabled.
Comment 7 VVD 2021-01-27 22:00:00 UTC
1.10.0 is here!
Comment 8 Yuri Victorovich freebsd_committer 2021-01-27 23:43:54 UTC
Working on it.
Comment 9 Yuri Victorovich freebsd_committer 2021-01-28 03:52:29 UTC
Update committed.
Comment 10 commit-hook freebsd_committer 2021-01-28 03:52:56 UTC
A commit references this bug:

Author: yuri
Date: Thu Jan 28 03:52:10 UTC 2021
New revision: 563110
URL: https://svnweb.freebsd.org/changeset/ports/563110

Log:
  graphics/libheif: Update 1.6.2 -> 1.10.0

  PR:		249291
  Approved by:	freebsd@sebastiansteinmetz.ch (maintainer's timeout 130 days)

Changes:
  head/graphics/libheif/Makefile
  head/graphics/libheif/distinfo
  head/graphics/libheif/pkg-plist
Comment 11 commit-hook freebsd_committer 2021-01-28 09:53:47 UTC
A commit references this bug:

Author: yuri
Date: Thu Jan 28 09:53:21 UTC 2021
New revision: 563121
URL: https://svnweb.freebsd.org/changeset/ports/563121

Log:
  graphics/libheif: Add dependency on librav1e

  Thanks to VDD for the hint.

  PR:		249291

Changes:
  head/graphics/libheif/Makefile
Comment 12 VVD 2021-01-28 10:00:11 UTC
Created attachment 221984 [details]
Update pkg-descr

(In reply to commit-hook from comment #11)
rav1e require rust - maybe make it optional dependency?
Comment 13 VVD 2021-01-28 12:14:52 UTC
Created attachment 221988 [details]
Add options DAV1D, RAV1E and update pkg-descr
Comment 14 Yuri Victorovich freebsd_committer 2021-01-28 17:16:54 UTC
(In reply to VVD from comment #13)

Could you please create the upstream PR with this patch?
When you do the REQUIRED keyword should be added to find_package calls because once specific options are chosen these should be treated as required.

Then PATCH instructions can be added to Makefile instead of explicit patches.
Comment 15 VVD 2021-01-28 17:45:43 UTC
(In reply to Yuri Victorovich from comment #14)
I attached the patch to this issue: https://github.com/strukturag/libheif/issues/429
Comment 16 Yuri Victorovich freebsd_committer 2021-01-28 19:16:14 UTC
(In reply to VVD from comment #15)

Let them commit it then.

Thanks,
Yuri
Comment 17 VVD 2021-01-31 12:16:39 UTC
(In reply to Yuri Victorovich from comment #16)
If you create pull request then they can commit it early.
Comment 18 Yuri Victorovich freebsd_committer 2021-01-31 18:59:26 UTC
(In reply to VVD from comment #17)

Yes, I meant to say the same to you. Instead of attaching the patch you could create a PR with it.
Comment 19 VVD 2021-02-01 13:05:58 UTC
(In reply to Yuri Victorovich from comment #18)
Upstream commited it: https://github.com/strukturag/libheif/commit/b7caef96e012f6e516fee2e50a836b07b7c5a8fc
Comment 20 commit-hook freebsd_committer 2021-02-01 16:31:09 UTC
A commit references this bug:

Author: yuri
Date: Mon Feb  1 16:30:57 UTC 2021
New revision: 563592
URL: https://svnweb.freebsd.org/changeset/ports/563592

Log:
  graphics/libheif: Add options DAV1D and RAV1E

  Follow up to 249291 after the upstream added missing cmake options.

  PR:		249291

Changes:
  head/graphics/libheif/Makefile
  head/graphics/libheif/distinfo